Subject: Problem with send-email

From: Timur Tabi <[email-masked]>
Date: Fri, 08 Sep 2006 16:04:38 -0500

Does anyone actually use git-send-email?  It's been so broken for me for months that I can't help but think that.

Problem #1:

I don't know Perl, but I think there's something wrong with this code:

if (!defined $from) {
	$from = $author || $committer;
         print "$from\n";
	do {
		$_ = $term->readline("Who should the emails appear to be from? ",
			$from);
	} while (!defined $_);

	$from = $_;
	print "Emails will be sent from: ", $from, "\n";
	$prompting++;
}

I don't think the call to readline() is working.  Specifically, the last parameter, $from, is being ignored.  When I call git-send-email without specifying a --from parameter, this code is executed.  But this is what I see:

Timur Tabi <[email-masked]>
Who should the emails appear to be from?
Emails will be sent from:

This happens when I press ENTER at the "Who should the emails appear to be from?" prompt.  I'm expecting it to assign the default value, which is displayed right above it.  But instead, $from is erased, and so my email doesn't have a From: line.

Problem #2:

I cannot use send-email to send a patch to anyone but myself.  If I do this:

git-send-email --from [email-masked] --to [email-masked] --smtp-server remotesmtp.freescale.net patchfile

Everything works.  However, if I do this:

git-send-email --from [email-masked] --to  --smtp-server remotesmtp.freescale.net patchfile

I get this:

(mbox) Adding cc: Timur Tabi <[email-masked]> from line 'From: Timur Tabi <[email-masked]>'
(sob) Adding cc: Timur Tabi <[email-masked]> from line 'Signed-off-by: Timur Tabi <[email-masked]>'
5.0.0 <Timur Tabi <[email-masked]>... Unbalanced '<'

I think that last line is a response from the SMTP server.  My guess is that there's something wrong with this line:

		print $sm "$header\n$message";

Maybe my SMTP server sees the "From: Timur Tabi <[email-masked]>" that's at the top of $message and gets confused?

-- 
Timur Tabi
Linux Kernel Developer @ Freescale